[flake8]
exclude = .git,docs,build,dist,test,*__init__.py
max-line-length = 120
ignore = E129 W504 W503 E203

[metadata]
license_file = LICENSE

[tool:pytest]
addopts = -p no:warnings

[tool:isort]
line_length=88
multi_line_output=3
include_trailing_comma=True
known_third_party=bilby,bilby_pipe,deepdiff,dill,dynesty,gwpy,jinja2,lalsimulation,matplotlib,mpi4py,nestcheck,numpy,pandas,parallel_bilby,pytest,schwimmbad,setuptools,tests

[options.extras_require]
# Additional requirements for extra features

# Test requirements (install with: `pip install .[testing]`)
testing =
    pytest
    deepdiff
    pytest-mpi

[coverage:run]
parallel = true
source = parallel_bilby
